Smart API Server Machine - Intergraph Smart Electrical - Installation & Upgrade

Intergraph Smart Electrical Smart API Installation and Configuration

Language
English (United States)
Product
Intergraph Smart Electrical
Search by Category
Installation & Upgrade
Smart P&ID Version
10
Smart P&ID Web API Version
2.0
Smart Electrical Web Version
2.1

Hardware Recommendations

The recommended hardware configuration for the Smart Electrical Smart API server is as follows:

  • 16 GB RAM for Microsoft SQL Server or Oracle

  • 64-bit Bus Size, OS, and Database

For additional details regarding platform support, please review the latest compatibility matrix available on PPM Smart Community. If you cannot access the compatibility matrix, contact customer support.

Recommended Disk Space

  • Oracle Client: 1.0 GB

  • Full installation of Smart API software: 0.4 GB

Additional disk space is required for software prerequisites and optional software that you install.

Supported Operating Systems

  • Microsoft Windows Server 2012

  • Microsoft Windows Server 2016

  • Microsoft Windows Server 2019

Smart Electrical Smart API is certified on Windows with UAC ‘On’ at Level 3 (Default)

Supported Database Clients

  • Oracle 12c Client R1 (12.1.0.2.2), 32-bit

  • The client database software must be of the same version as the server database software.

  • Oracle 32-bit Client is required for both 32-bit and 64-bit Oracle databases.

  • Do not use Oracle 'light client' as it does not include some of the required .dll files.

  • Beginning with Windows 10 and Oracle 12.1.0.2, Microsoft and Oracle will enforce the Internet Host Table Specification RFC 952 which mandates that component hostname labels can contain only alphanumeric characters. Host names using underscores (‘_’) are not allowed. Refer to Oracle Support Articles 1603775.1 and 1957895.1 and Microsoft KB 101785.

For SQL Server, no client installation is required.

Software Prerequisites

  • Microsoft .NET Framework 4.8

  • Internet Information Services (IIS) 10.0, configured for API use

  • Intergraph Smart® Licensing 2019

  • PDF reader

  • Microsoft Office 2019 or Microsoft Office 365 (Microsoft Excel is required only for viewing reports). 32-bit is minimum mandatory and 64-bit is optional. If 64-bit is included, 32-bit should also be supported.